@import url('https://fonts.googleapis.com/css?family=Roboto&display=swap');
@import url('https://fonts.googleapis.com/css?family=Indie+Flower&display=swap');
@import url('https://fonts.googleapis.com/css?family=Righteous&display=swap');
@import url('https://fonts.googleapis.com/css?family=Courgette&display=swap');

:root {
    --border: gray;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    letter-spacing: 3px;
    font-family: 'Roboto', sans-serif;
}

.clearfix::after {
    content: "";
    display: table;
    clear: both;
}

.container {
    width: 100vw;
    height: 100vh;
    background-color: black;
    padding: 40vh 0;
}

#clock-container {
    width: 50vw;
    height: 20vh;
    margin: 0 auto;
    color: white;
    border: 5px solid var(--border);
    text-align: center;
    font-size: 4em;
    line-height: 20vh;
    border-radius: 10px;
}

.controls-container {
    width: 100vw;
    height: 20vh;
    border-radius: 5px;
    position: absolute;
    top: 0;
    left: 0;
    /* border: 5px solid var(--border); */
}

.colors,
.format,
.fonts {
    width: calc(100%/3);
    height: 18vh;
    border: 5px solid var(--border);
    color: white;
    text-align: center;
    float: left;
}

.colorButtons,
.fontButtons {
    width: calc(100%/2);
    height: 7vh;
    line-height: 7vh;
    border: 1px solid var(--border);
    float: left;
}

#white:hover {
    background-color: white;
    color: black;
    cursor: pointer;
}

#tomato:hover {
    background-color: tomato;
    cursor: pointer;
}

#dodgerblue:hover {
    background-color: dodgerblue;
    cursor: pointer;
}

#slateblue:hover {
    background-color: slateblue;
    cursor: pointer;
}

#roboto:hover {
    background-color: white;
    color: black;
    cursor: pointer;
    font-family: 'Roboto', sans-serif;
}

#indieFlower:hover {
    background-color: tomato;
    cursor: pointer;
    font-family: 'Indie Flower', cursive;
}

#righteous:hover {
    background-color: dodgerblue;
    cursor: pointer;
    font-family: 'Righteous', cursive;
}

#courgette:hover {
    background-color: slateblue;
    cursor: pointer;
    font-family: 'Courgette', cursive;
}

#formatBtn {
    width: 70%;
    height: 7vh;
}

.format {
    padding: 4vh 0;
    /* padding: 4vh 0; */
}